Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class ObjectTag

    java.lang.Object
      org.htmlparser.nodes.AbstractNode
          org.htmlparser.nodes.TagNode
              org.htmlparser.tags.CompositeTag
                  org.htmlparser.tags.ObjectTag

All Implemented Interfaces:
  Serializable, Cloneable, Node, Tag

    public class ObjectTag

extends CompositeTag

ObjectTag represents an <Object> tag. It extends a basic tag by providing accessors to the type, codetype, codebase, classid, data, height, width, standby attributes and parameters.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.tags.CompositeTag
`mDefaultCompositeScanner, mEndTag`

Fields inherited from class org.htmlparser.nodes.TagNode
`breakTags, mAttributes, mDefaultScanner`

Fields inherited from class org.htmlparser.nodes.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`ObjectTag()` Create a new object tag.

Method Summary
`Hashtable` | `createObjectParamsTable()` Extract the object `PARAM` tags from the child list.
`String[]` | `getEndTagEnders()` Return the set of end tag names that cause this tag to finish.
`String[]` | `getIds()` Return the set of names handled by this tag.
`String` | `getObjectClassId()` Get the classid of the object.
`String` | `getObjectCodeBase()` Get the codebase of the object.
`String` | `getObjectCodeType()` Get the codetype of the object.
`String` | `getObjectData()` Get the data of the object.
`String` | `getObjectHeight()` Get the height of the object.
`Hashtable` | `getObjectParams()` Get the object parameters.
`String` | `getObjectStandby()` Get the standby of the object.
`String` | `getObjectType()` Get the type of the object.
`String` | `getObjectWidth()` Get the width of the object.
`String` | `getParameter(String key)` Get the `PARAM`tag with the given name.``
`Enumeration` | `getParameterNames()` Get an enumeration over the (String) parameter names.
`void` | `setObjectClassId(String newClassId)` Set the `CLASSID`attribute.``
`void` | `setObjectCodeBase(String newCodeBase)` Set the `CODEBASE`attribute.``
`void` | `setObjectCodeType(String newCodeType)` Set the `CODETYPE`attribute.``
`void` | `setObjectData(String newData)` Set the `DATA`attribute.``
`void` | `setObjectHeight(String newHeight)` Set the `HEIGHT`attribute.``
`void` | `setObjectParams(Hashtable newObjectParams)` Set the enclosed `PARAM`children.``
`void` | `setObjectStandby(String newStandby)` Set the `STANDBY`attribute.``
`void` | `setObjectType(String newType)` Set the `TYPE`attribute.``
`void` | `setObjectWidth(String newWidth)` Set the `WIDTH`attribute.``
`String` | `toString()` Output a string representing this object tag.

Methods inherited from class org.htmlparser.tags.CompositeTag
`accept, childAt, children, collectInto, digupStringNode, elements, findPositionOf, findPositionOf, findPositionOf, getChild, getChildCount, getChildrenAsNodeArray, getChildrenHTML, getEndTag, getStringText, getText, putChildrenInto, putEndTagInto, removeChild, searchByName, searchFor, searchFor, searchFor, searchFor, setEndTag, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributesEx, getEnders, getEndingLineNumber, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getThisScanner, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributeEx, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText, setThisScanner`

Methods inherited from class org.htmlparser.nodes.AbstractNode
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.htmlparser.Node
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Constructor Detail

### ObjectTag

    public ObjectTag()

  Create a new object tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Specified by:
    `getIds` in interface `Tag`
  Overrides:
    `getIds` in class `TagNode`
  Returns:
    The names to be matched that create tags of this type.

### getEndTagEnders

    public String[] getEndTagEnders()

  Return the set of end tag names that cause this tag to finish.

  Specified by:
    `getEndTagEnders` in interface `Tag`
  Overrides:
    `getEndTagEnders` in class `TagNode`
  Returns:
    The names of following end tags that stop further scanning.

### createObjectParamsTable

    public Hashtable createObjectParamsTable()

  Extract the object `PARAM` tags from the child list.

  Returns:
    The list of object parameters (keys and values are String objects).

### getObjectClassId

    public String getObjectClassId()

  Get the classid of the object.

  Returns:
    The value of the `CLASSID` attribute.

### getObjectCodeBase

    public String getObjectCodeBase()

  Get the codebase of the object.

  Returns:
    The value of the `CODEBASE` attribute.

### getObjectCodeType

    public String getObjectCodeType()

  Get the codetype of the object.

  Returns:
    The value of the `CODETYPE` attribute.

### getObjectData

    public String getObjectData()

  Get the data of the object.

  Returns:
    The value of the `DATA` attribute.

### getObjectHeight

    public String getObjectHeight()

  Get the height of the object.

  Returns:
    The value of the `HEIGHT` attribute.

### getObjectStandby

    public String getObjectStandby()

  Get the standby of the object.

  Returns:
    The value of the `STANDBY` attribute.

### getObjectType

    public String getObjectType()

  Get the type of the object.

  Returns:
    The value of the `TYPE` attribute.

### getObjectWidth

    public String getObjectWidth()

  Get the width of the object.

  Returns:
    The value of the `WIDTH` attribute.

### getObjectParams

    public Hashtable getObjectParams()

  Get the object parameters.

  Returns:
    The list of parameter values (keys and values are String objects).

### getParameter

    public String getParameter(String key)

  Get the `PARAM`tag with the given name.

  ``
  Parameters:
    `key` - The object parameter name to get.
  Returns:
    The value of the parameter or `null` if there is no parameter of that name.

### getParameterNames

    public Enumeration getParameterNames()

  Get an enumeration over the (String) parameter names.

  Returns:
    An enumeration of the `PARAM`tag `NAME`attributes.````

### setObjectClassId

    public void setObjectClassId(String newClassId)

  Set the `CLASSID`attribute.

  ``
  Parameters:
    `newClassId` - The new classid.

### setObjectCodeBase

    public void setObjectCodeBase(String newCodeBase)

  Set the `CODEBASE`attribute.

  ``
  Parameters:
    `newCodeBase` - The new codebase.

### setObjectCodeType

    public void setObjectCodeType(String newCodeType)

  Set the `CODETYPE`attribute.

  ``
  Parameters:
    `newCodeType` - The new codetype.

### setObjectData

    public void setObjectData(String newData)

  Set the `DATA`attribute.

  ``
  Parameters:
    `newData` - The new data.

### setObjectHeight

    public void setObjectHeight(String newHeight)

  Set the `HEIGHT`attribute.

  ``
  Parameters:
    `newHeight` - The new height.

### setObjectStandby

    public void setObjectStandby(String newStandby)

  Set the `STANDBY`attribute.

  ``
  Parameters:
    `newStandby` - The new standby.

### setObjectType

    public void setObjectType(String newType)

  Set the `TYPE`attribute.

  ``
  Parameters:
    `newType` - The new type.

### setObjectWidth

    public void setObjectWidth(String newWidth)

  Set the `WIDTH`attribute.

  ``
  Parameters:
    `newWidth` - The new width.

### setObjectParams

    public void setObjectParams(Hashtable newObjectParams)

  Set the enclosed `PARAM`children.

  ``
  Parameters:
    `newObjectParams` - The new parameters.

### toString

    public String toString()

  Output a string representing this object tag.

  Specified by:
    `toString` in interface `Node`
  Overrides:
    `toString` in class `CompositeTag`
  Returns:
    A string showing the contents of the object tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |